org.apache.cassandra.streaming.management

## Class StreamSummaryCompositeData

- java.lang.Object
- - org.apache.cassandra.streaming.management.StreamSummaryCompositeData

-     public class StreamSummaryCompositeData
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.management.openmbean.CompositeType` | `COMPOSITE_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamSummaryCompositeData()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StreamSummary` | `fromCompositeData(javax.management.openmbean.CompositeData cd)`
    `static javax.management.openmbean.CompositeData` | `toCompositeData(StreamSummary streamSummary)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPOSITE_TYPE

          public static final javax.management.openmbean.CompositeType COMPOSITE_TYPE

  - ### Constructor Detail

    - #### StreamSummaryCompositeData

          public StreamSummaryCompositeData()

  - ### Method Detail

    - #### toCompositeData

          public static javax.management.openmbean.CompositeData toCompositeData(StreamSummary streamSummary)

    - #### fromCompositeData

          public static StreamSummary fromCompositeData(javax.management.openmbean.CompositeData cd)

Copyright © 2018 The Apache Software Foundation